package com.yeejoin.equipmanage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yeejoin.equipmanage.common.entity.SupervisionVideo;

import java.util.List;
import java.util.Map;

/**
 * @author ZeHua Li
 * @date 2020/11/23 15:28
 * @since v2.0
 */
public interface ISupervisionVideoService extends IService<SupervisionVideo> {

    List queryVideoList(String bizOrgCode);

    boolean replaceVideo(Map<String,String> ids, String bizOrgCode);

    List<String> queryVideoAllId(String bizOrgCode);

    Page<Map<String, Object>> queryPumpInfo(Page page, String bizOrgCode);

    List<Map<String, Object>> selectPressureDetails(String bizOrgCode);
}
